%global           pypi_name kiwisolver

Name:             python-kiwisolver
Version:          1.4.4
Release:          %mkrel 1
Summary:          A Cassowary constraint solving algorithm
License:          BSD
Group:            Development/Python
URL:              https://pypi.org/project/kiwisolver/
Source0:          https://github.com/nucleic/kiwi/archive/%{pypi_name}-%{version}.tar.gz
Patch0:           kiwisolver-1.4.4-setup.patch

%description
Kiwi is an efficient C++ implementation of the Cassowary
constraint solving algorithm. Kiwi is an implementation of the
algorithm based on the seminal Cassowary paper. It is not a
refactoring of the original C++ solver. Kiwi has been designed from
the ground up to be lightweight and fast. Kiwi ranges from 10x to 500x
faster than the original Cassowary solver with typical use cases
gaining a 40x improvement. Memory savings are consistently > 5x. In
addition to the C++ solver, Kiwi ships with hand-rolled Python
bindings.

%package -n python3-%{pypi_name}
Summary:        Python3 implementation of Kiwi
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cppy)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{summary}.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-kiwisolver
%doc README.rst
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/%{pypi_name}/


%changelog
* Fri Aug 26 2022 eatdirt <eatdirt> 1.4.4-1.mga9
+ Revision: 1880512
- Update to version 1.4.4

* Thu May 05 2022 eatdirt <eatdirt> 1.4.2-1.mga9
+ Revision: 1856429
- Upgrade to version 1.4.2

* Fri Mar 18 2022 umeabot <umeabot> 1.3.2-3.mga9
+ Revision: 1799018
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 1.3.2-2.mga9
+ Revision: 1773610
- Rebuild for python-3.10

* Fri Aug 27 2021 eatdirt <eatdirt> 1.3.2-1.mga9
+ Revision: 1742924
- Update to version 1.3.2

* Mon Mar 15 2021 wally <wally> 1.3.1-2.mga9
+ Revision: 1703572
- rebuild for python 3.9

* Sun Dec 06 2020 eatdirt <eatdirt> 1.3.1-1.mga8
+ Revision: 1653720
- Upgrade to version 1.3.1

* Sat Jul 11 2020 eatdirt <eatdirt> 1.2.0-2.mga8
+ Revision: 1605183
- Add missing BR to cppy
- Upgrade to version 1.2.0

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1531807
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 wally <wally> 1.1.0-2.mga8
+ Revision: 1440988
- rebuild for python3.8
- drop python2 support

* Tue May 21 2019 eatdirt <eatdirt> 1.1.0-1.mga7
+ Revision: 1398757
- Update to version 1.1.0

* Mon Jan 07 2019 shlomif <shlomif> 1.0.1-3.mga7
+ Revision: 1350399
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1300512
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 eatdirt <eatdirt> 1.0.1-1.mga7
+ Revision: 1248644
- Fix missing BR
- imported package python-kiwisolver

